﻿
@model JavnaNabava.ViewModels.PonudaOcjeneViewModel

@{
    ViewData["Title"] = "Ponuda ocjena kriterija";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Ponuda ocjena kriterija</h1>
<p>
    <small>
        Prikaz vrijednosti umjesto ključeva <br />
        Implementirano je straničenje i sortiranje te ostanak na stranici prilikom brisanja.<br />
        Omogućeno je dodavanje i ažuriranje novog podatka, dropdown izbornik te validacija podataka.<br />
        Napravljena je potvrda prilikom brisanja.<br />
    </small>
</p>
<p>
    <a asp-action="Create"><i class="fas fa-plus-square"></i>Stvori novi kriterij ocjenjivanja</a>
</p>
<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Id
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Ponuda Id</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Kriterij</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Ostvarni bodovi</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var ocjena in Model.Ocjene)
        {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => ocjena.Id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => ocjena.ponuda)

            </td>
            <td>
                @Html.DisplayFor(modelItem => ocjena.natjecajKriterij)
            </td>

            <td>
                @Html.DisplayFor(modelItem => ocjena.ostvareniBodovi)
            </td>
            <td class="btn-group">
                <a asp-action="Edit"
                   asp-route-id="@ocjena.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending"
                   class="btn btn-sm edit"
                   title="Ažuriraj"><i class="fas fa-edit"></i></a>
                <form asp-action="Delete" method="post"
                      asp-route-page="@Model.PagingInfo.CurrentPage"
                      asp-route-sort="@Model.PagingInfo.Sort"
                      asp-route-ascending="@Model.PagingInfo.Ascending">
                    <input type="hidden" name="Id" value="@ocjena.Id" />
                    <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </form>
            </td>
        </tr>
        }
    </tbody>
</table>
